org.gradle.api.artifacts.result

## Interface UnresolvedDependencyResult

- All Superinterfaces:
    DependencyResult

      @Incubating
      public interface UnresolvedDependencyResult
      extends DependencyResult

  A dependency that could not be resolved.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentSelector` | `getAttempted()` Returns the selector that was attempted to be resolved.
    `ComponentSelectionReason` | `getAttemptedReason()` Returns the reasons why the failed selector was attempted.
    `Throwable` | `getFailure()` The failure that occurred.

    - ### Methods inherited from interface org.gradle.api.artifacts.result.DependencyResult

      `getFrom, getRequested`

- - ### Method Detail

    - #### getAttempted

          ComponentSelector getAttempted()

      Returns the selector that was attempted to be resolved. This may not be the same as the requested component.

    - #### getAttemptedReason

          ComponentSelectionReason getAttemptedReason()

      Returns the reasons why the failed selector was attempted.

    - #### getFailure

          Throwable getFailure()

      The failure that occurred.